package eg2;

import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JTextField;

public class ArithmeticOperationsGUI extends JFrame
{
	private static final long serialVersionUID = 8378797610127745789L;

	public ArithmeticOperationsGUI()
	{
		setLayout(new FlowLayout());
		createGUI();
	}
	
	private void createGUI() 
	{
		JLabel firstLabel = new JLabel("First input: ");
		final JTextField firstInput = new JTextField();
		firstInput.setPreferredSize(new Dimension(50, firstInput.getPreferredSize().height));
		add(firstLabel);
		add(firstInput);
		
		JLabel secondLabel = new JLabel("Second input: ");
		final JTextField secondInput = new JTextField();
		secondInput.setPreferredSize(new Dimension(50, secondInput.getPreferredSize().height));
		add(secondLabel);
		add(secondInput);
		
		final JLabel result = new JLabel();
		
		JButton divide = new JButton("Divide");
		divide.addActionListener(new ActionListener(){
			@Override
			public void actionPerformed(ActionEvent arg0) 
			{
				String input1 = firstInput.getText();
				String input2 = secondInput.getText();
				
				try {
					double double1 = Double.parseDouble(input1);
					double double2 = Double.parseDouble(input2);
					ArithmeticOperations ops = new ArithmeticOperations();
					double divisionResult = ops.divide(double1, double2);
					result.setText(input1 + "/" + input2 + " = " + divisionResult);
				} catch (ArithmeticException e) {
					JOptionPane.showMessageDialog(ArithmeticOperationsGUI.this, e.getMessage(), "Arithmetic Error", JOptionPane.ERROR_MESSAGE);
				}
			}
		});
		add(divide);
		add(result);
	}

	public static void main(String [] args)
	{
		JFrame app = new ArithmeticOperationsGUI();
		app.setSize(300,300);
		app.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		app.setVisible(true);
	}
}


